%bcond_without check

%global goipath         github.com/hashicorp/go-hclog
Version:                0.15.0

%gometa

%global common_description %{expand:
Go-hclog is a package for Go that provides a simple key/value logging interface
for use in development and production environments.}

%global golicenses      LICENSE
%global godocs          README.md README-hclogvet.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Common logging package for hashicorp tools

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/fatih/color)
BuildRequires:  golang(github.com/mattn/go-isatty)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/inspect)
BuildRequires:  golang(golang.org/x/tools/go/analysis/singlechecker)

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv hclogvet/README.md README-hclogvet.md

%build
for cmd in hclogvet; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d .
%endif

%files
%license LICENSE
%doc README.md README-hclogvet.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.0-1
- initial build
